/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface IArduinocontrole extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.arduinocontrole.ardcontid</code>.
     */
    public IArduinocontrole setArdcontid(Integer value);

    /**
     * Getter for <code>public.arduinocontrole.ardcontid</code>.
     */
    public Integer getArdcontid();

    /**
     * Setter for <code>public.arduinocontrole.fkardid</code>.
     */
    public IArduinocontrole setFkardid(Integer value);

    /**
     * Getter for <code>public.arduinocontrole.fkardid</code>.
     */
    public Integer getFkardid();

    /**
     * Setter for <code>public.arduinocontrole.fkconid</code>.
     */
    public IArduinocontrole setFkconid(Integer value);

    /**
     * Getter for <code>public.arduinocontrole.fkconid</code>.
     */
    public Integer getFkconid();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IArduinocontrole
     */
    public void from(com.tabajara.base.tables.interfaces.IArduinocontrole from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface IArduinocontrole
     */
    public <E extends com.tabajara.base.tables.interfaces.IArduinocontrole> E into(E into);

    @Override
    public default IArduinocontrole fromJson(io.vertx.core.json.JsonObject json) {
        setArdcontid(json.getInteger("ardcontid"));
        setFkardid(json.getInteger("fkardid"));
        setFkconid(json.getInteger("fkconid"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("ardcontid",getArdcontid());
        json.put("fkardid",getFkardid());
        json.put("fkconid",getFkconid());
        return json;
    }

}
